/* Expectation maximization for refinement using I-value
 * Copyright (C) 2017 Laboratory of Computational Biology, Monash University
 * (http://lcb.infotech.monash.edu.au)
 *
 * Reference:
 *   J. H. Collier, L. Allison, A. M. Lesk, P.J. Stuckey,
 *   M. Garcia de la Banda, A. S. Konagurthu.
 *   Bioinformatics 33(7):1005-1013, 2017.
 *
 * MMLigner is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * MMLigner is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with MMLigner. If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EM_H
#include<iostream>
#include<fstream>
#include<cstdio>
#include<cstdlib>
#include<cstring>
#include<cassert>
#include<string>
#include<stdint.h>
#include<unistd.h>
#include<map>
#include<vector>
#include<sstream>
#include<time.h>
#include "structureInformationClass.h"
#include "MFPClass.h"
#include "superpose3D.h"
#include "geometry3D.h"
#include "misc.h"
#include "Kent.h"
#include "ivalue.h"
#include "fastautils.h"
#include "dp.h"
string expectationMaximization(string,vector<vector<double> >,vector<vector<double> >,double&);
vector<vector<int> > findMatchedBlocks(string fsastr);
string mBlocks2FSAString(vector<vector<int> > mBlocks);
#endif
